%global tarball xf86-video-vmware
%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir	%{moduledir}/drivers

Summary:       Xorg X11 vmware video driver
Name:	       xorg-x11-drv-vmware
Version:       13.3.0
Release:       4%{?dist}
URL:	       http://www.x.org
License:       MIT
Source0:       https://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2

Patch0001:     fix-missing-array-notation.patch
Patch3000:     0001-saa-Build-compatibility-with-xserver-1.20.patch

BuildRequires: make autoconf automake libtool
BuildRequires: xorg-x11-server-devel >= 1.10.99.902
BuildRequires: libdrm-devel pkgconfig(xext) pkgconfig(x11)
BuildRequires: mesa-libxatracker-devel >= 8.0.1-4
BuildRequires: systemd-devel
Requires:      Xorg %(xserver-sdk-abi-requires ansic)
Requires:      Xorg %(xserver-sdk-abi-requires videodrv)
Requires:      libxatracker >= 8.0.1-4

ExclusiveArch: x86_64

%description 
X.Org X11 vmware video driver.

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -iv || exit 1
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -regex ".*\.la$" -delete

%files
%{driverdir}/vmware_drv.so
%{_mandir}/man4/vmware.4*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 13.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 Miaojun Dong <zoedong@tencent.com> - 13.3.0-1
- Initial build

